package com.m2pool.chat.controller;

import com.m2pool.chat.entity.ChatMessage;
import com.m2pool.chat.entity.ChatMsg;
import com.m2pool.chat.service.ChatService;
import com.m2pool.chat.service.WebSocketServer;
import com.m2pool.chat.vo.ChatHistoryVo;
import com.m2pool.common.core.utils.StringUtils;
import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.controller.BaseController;
import com.m2pool.system.api.entity.SysUser;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.List;

/**
 * @Description TODO
 * @Date 2025/2/24 15:05
 * @Author 杜懿
 */
@RestController
@RequestMapping("/chat")
public class ChatController extends BaseController {

    @Resource
    private ChatService chatService;

    //@Resource
    //    //private WebSocketServer webSocketServer;

    @GetMapping("/history")
    public AjaxResult getChatHistory(@RequestBody ChatHistoryVo vo) {

        if(StringUtils.isNull(vo)){
            return AjaxResult.error("请求参数为空");
        }

        String identifier = StringUtils.isNotBlank(vo.getEmail()) ? vo.getEmail() : vo.getBrowserId();
        return chatService.getHistory(identifier);
    }

}
